#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
    long int n, x, a, aax, ain, ou, ou1, ou2;
    cin>>n>>x;
    cin>>a;
    aax=ain=a;
    for(int i=1; i<n; i++)
    {
        cin>>a;

        if(ain>a)
            ain=a;
        else if(aax<a)
            aax=a;
    }

    if(x>aax)
        ou=x-ain;
    else if(x<ain)
        ou=aax-x;
    else
    {
        ou2=aax-x;
        ou1=x-ain;
        ou=ou1+ou2+min(ou1, ou2);
    }

    cout <<ou;
    return 0;
}